Skip to main content
GET
Get test metric generation progress

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

progress_id
string
required

Progress ID returned by the generate-test-metrics endpoint.

Response

Metric generation status.

agent_id
integer
required
status
enum<string>
required
Available options:
queued,
processing,
completed,
failed
current_step
string
required
metrics
object[]
required
error
string | null
required